List linked terminal applications | Moov Documentation
List linked terminal applications beta
Retrieve all terminal applications linked to a specific account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/terminal-applications.read scope.
GET
/accounts/{accountID}/terminal-applications
Example Request
curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Example Code
JavaScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accountTerminalApplications.list({
accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->accountTerminalApplications->list(
accountID: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e'
);
if ($response->accountTerminalApplications !== null) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListAccountTerminalApplicationsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListAccountTerminalApplicationsResponse res = sdk.accountTerminalApplications().list()
.accountID("76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
.call();
if (res.accountTerminalApplications().isPresent()) {
System.out.println(res.accountTerminalApplications().get());
}
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.account_terminal_applications.list(account_id="76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.account_terminal_applications.list(account_id: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e')
unless res.account_terminal_applications.nil?
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.AccountTerminalApplications.ListAsync(accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e");
// handle response
Example Response
[
{
"accountID": "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
"terminalApplicationID": "12345678-1234-1234-1234-123456789012"
}
]
Possible Response Errors
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
API Version
Set this header to v2026.07.00 to use the API described in this specification.